import type { IComponentDefinition } from "../../states/visualComponentState";
import type { IBackgroundComponentProps } from "../../states/diagramSettings";
export declare const createGridImageGenerator: (sizeMultiplicator: number, linesColor: string, linesOpacity: number) => BackgroundSvgImageGenerator;
export declare const createDotsImageGenerator: (sizeMultiplicator: number, dotsColor: string, dotsOpacity: number, dotsRadius: number) => BackgroundSvgImageGenerator;
export declare const createCrossesImageGenerator: (sizeMultiplicator: number, color: string, opacity: number) => BackgroundSvgImageGenerator;
export declare const createSvgBackground: (settings?: Partial<ISvgBackgroundSettings> | undefined) => IComponentDefinition<IBackgroundComponentProps, ISvgBackgroundSettings>;
export declare type BackgroundSvgImageGenerator = (width: number, height: number) => string;
/**
 * @property {function}  imageGenerator - Function to create string for css's backgroundUrl property.
 * You can use for example services like listed in this article https://css-tricks.com/websites-generate-svg-patterns/
 * to generate this string.
 */
export interface ISvgBackgroundSettings {
    imageGenerator?: BackgroundSvgImageGenerator;
    color: string;
}
//# sourceMappingURL=SvgBackground.d.ts.map