import React from 'react';
import type { ILinkVisualComponentProps } from "../../states/linksSettings";
import type { IComponentDefinition } from "../../states/visualComponentState";
export declare const LinkDefault: React.FC<ILinkVisualComponentProps<ILinkDefaultSettings>>;
export interface ILineStyling {
    classes?: LinkDefaultSettingsByStates<string[]>;
    style?: LinkDefaultSettingsByStates<React.CSSProperties>;
}
export interface ILinkDefaultSettings {
    removeDefaultClasses?: true;
    mainLine?: ILineStyling;
    secondaryLine?: ILineStyling;
}
export declare type LinkDefaultState = 'base' | 'hovered' | 'selected' | 'selected-hovered';
export declare type LinkDefaultSettingsByStates<TValue> = {
    [key in LinkDefaultState]?: TValue;
};
export declare const defaultLinkMainLineClasses: LinkDefaultSettingsByStates<string[]>;
export declare const defaultLinkSecondaryLineClasses: LinkDefaultSettingsByStates<string[]>;
export declare function createLinkDefault(settings?: ILinkDefaultSettings): IComponentDefinition<ILinkVisualComponentProps, Partial<ILinkDefaultSettings>>;
//# sourceMappingURL=LinkDefault.d.ts.map