import React from 'react';
import type { IMiniControlComponentProps } from "../../states/diagramSettings";
import { IComponentDefinition } from "../../states/visualComponentState";
import { CornerPosition } from "../../utils/position";
export declare const Button: React.FC<{
    size: number;
    onClick: () => any;
    children?: React.ReactNode;
}>;
export declare const createDefaultMiniControl: (settings?: Partial<IMiniControlDefaultSettings> | undefined) => IComponentDefinition<IMiniControlComponentProps, IMiniControlDefaultSettings>;
export interface IMiniControlDefaultSettings {
    classes?: string[];
    style?: React.CSSProperties;
    position?: CornerPosition;
    buttons: ButtonsValue;
    buttonsSize: number;
    parentOffset?: number;
}
interface ButtonsValue {
    zoomIn?: boolean;
    zoomOut?: boolean;
    deleteSelection?: boolean;
    cloneSelectedNodes?: boolean;
    zoomToFit?: boolean;
    lockUnlockPointerInteractions?: boolean;
}
export {};
//# sourceMappingURL=MiniControlDefault.d.ts.map