import React from 'react';
import { INodeVisualComponentProps } from "../../states/nodesSettings";
import { NodeState } from "../../states/nodeState";
import { IPortFinalState } from "../../states/portState";
import { IComponentDefinition, VisualComponent } from "../../states/visualComponentState";
export interface INodeDefaultSettings {
    ports?: IPortFinalState[];
    innerNode?: VisualComponent<{
        node: NodeState;
    }>;
    removeDefaultClasses?: true;
    classes?: NodeDefaultSettingsByStates<string[]>;
    style?: NodeDefaultSettingsByStates<React.CSSProperties>;
}
export declare type NodeDefaultState = 'base' | 'hovered' | 'selected' | 'selected-hovered';
export declare type NodeDefaultSettingsByStates<TValue> = {
    [key in NodeDefaultState]?: TValue;
};
export declare const defaultNodeClasses: NodeDefaultSettingsByStates<string[]>;
export declare function createNode(settings?: INodeDefaultSettings): IComponentDefinition<INodeVisualComponentProps<INodeDefaultSettings>, INodeDefaultSettings>;
export declare type INodeDefaultSettingsWithoutPorts = Omit<INodeDefaultSettings, 'ports'>;
export declare const createInputOutputHorizontalNode: (settings?: Pick<INodeDefaultSettings, "style" | "innerNode" | "removeDefaultClasses" | "classes"> | undefined) => IComponentDefinition<INodeVisualComponentProps<INodeDefaultSettings>, INodeDefaultSettings>;
export declare const createInputOutputVerticalNode: (settings?: Pick<INodeDefaultSettings, "style" | "innerNode" | "removeDefaultClasses" | "classes"> | undefined) => IComponentDefinition<INodeVisualComponentProps<INodeDefaultSettings>, INodeDefaultSettings>;
export declare const createInputHorizontalNode: (settings?: Pick<INodeDefaultSettings, "style" | "innerNode" | "removeDefaultClasses" | "classes"> | undefined) => IComponentDefinition<INodeVisualComponentProps<INodeDefaultSettings>, INodeDefaultSettings>;
export declare const createInputVerticalNode: (settings?: Pick<INodeDefaultSettings, "style" | "innerNode" | "removeDefaultClasses" | "classes"> | undefined) => IComponentDefinition<INodeVisualComponentProps<INodeDefaultSettings>, INodeDefaultSettings>;
export declare const createOutputHorizontalNode: (settings?: Pick<INodeDefaultSettings, "style" | "innerNode" | "removeDefaultClasses" | "classes"> | undefined) => IComponentDefinition<INodeVisualComponentProps<INodeDefaultSettings>, INodeDefaultSettings>;
export declare const createOutputVerticalNode: (settings?: Pick<INodeDefaultSettings, "style" | "innerNode" | "removeDefaultClasses" | "classes"> | undefined) => IComponentDefinition<INodeVisualComponentProps<INodeDefaultSettings>, INodeDefaultSettings>;
export declare const createStarNode: (settings?: Pick<INodeDefaultSettings, "style" | "innerNode" | "removeDefaultClasses" | "classes"> | undefined) => IComponentDefinition<INodeVisualComponentProps<INodeDefaultSettings>, INodeDefaultSettings>;
//# sourceMappingURL=NodeDefault.d.ts.map