import React from 'react';
import type { IPortVisualComponentProps } from "../../states/portsSettings";
import type { IComponentDefinition } from "../../states/visualComponentState";
export declare type PortInnerDefaultState = 'base' | 'hovered' | 'dragging' | 'invalid' | 'node-hovered' | 'node-selected';
export declare type PortInnerDefaultSettingsByStates<TValue> = {
    [key in PortInnerDefaultState]?: TValue;
};
export interface IPortInnerDefaultSettings {
    removeDefaultClasses?: true;
    classes?: PortInnerDefaultSettingsByStates<string[]>;
    style?: PortInnerDefaultSettingsByStates<React.CSSProperties>;
}
export declare const defaultPortInnerClasses: PortInnerDefaultSettingsByStates<string[]>;
export declare function createPortInnerDefault(settings?: IPortInnerDefaultSettings): IComponentDefinition<IPortVisualComponentProps, IPortInnerDefaultSettings>;
//# sourceMappingURL=PortInnerDefault.d.ts.map