import { DiagramState } from "../index";
import { Point } from "../utils/point";
export declare class HtmlElementRefState {
    private _diagramState;
    private _currentInternal;
    private _triggerSizePositionRecalculation;
    constructor(initValue: HTMLDivElement | null, diagramState: DiagramState);
    get current(): HTMLDivElement | null;
    set current(value: HTMLDivElement | null);
    /**
     * Size excluding diagram zoom.
     */
    get sizeExcludingZoom(): Point | null;
    /**
     * Position excluding diagram zoom.
     */
    get positionExcludingZoom(): Point | null;
    get boundingRect(): {
        position: Point;
        size: Point;
        diagramZoom: number | null;
    } | null;
    getDataAttribute: (name: string) => string | null;
    recalculateSizeAndPosition: () => void;
}
export interface IHtmlElementRect {
    left: number;
    top: number;
    width: number;
    height: number;
}
//# sourceMappingURL=htmlElementRefState.d.ts.map