export declare class UserInteractionSettings {
    private _diagramZoom;
    private _diagramPan;
    private _nodeDrag;
    private _portConnection;
    private _nodeSelection;
    private _linkSelection;
    private _multiselectionKey;
    private _disableAllPointerInteractionsCounter;
    constructor();
    import: (obj?: Partial<IUserInteraction> | undefined) => void;
    get diagramZoom(): boolean;
    set diagramZoom(value: boolean);
    get diagramPan(): boolean;
    set diagramPan(value: boolean);
    get nodeDrag(): boolean;
    set nodeDrag(value: boolean);
    get portConnection(): boolean;
    set portConnection(value: boolean);
    get nodeSelection(): boolean;
    set nodeSelection(value: boolean);
    get linkSelection(): boolean;
    set linkSelection(value: boolean);
    get multiselectionKey(): MultipleSelectionKey;
    set multiselectionKey(value: MultipleSelectionKey);
    disableAllPointerInteractions: (force?: boolean) => void;
    enableAllPointerInteractions: (force?: boolean) => void;
    get arePointerInteractionsDisabled(): boolean;
    isCallbackMultiselectionActivated: (shiftKey: boolean, altKey: boolean, ctrlKey: boolean, metaKey: boolean) => boolean;
}
export interface IUserInteraction {
    diagramZoom: boolean;
    diagramPan: boolean;
    nodeDrag: boolean;
    portConnection: boolean;
    nodeSelection: boolean;
    linkSelection: boolean;
    multiselectionKey: MultipleSelectionKey;
    disableAllMouseAndTouchInteractions: boolean;
}
export declare type MultipleSelectionKey = 'ctrl' | 'alt' | 'meta' | 'shift';
//# sourceMappingURL=userInteractionSettings.d.ts.map