/// <reference types="react" />
export declare class VisualComponentState<TComponentProps, TSettings> {
    private _component;
    private _settings;
    constructor(component: IComponentDefinition<TComponentProps, TSettings> | VisualComponent<TComponentProps>);
    import: (newComponent: IComponentDefinition<TComponentProps, TSettings> | VisualComponent<TComponentProps>) => void;
    get component(): VisualComponent<TComponentProps>;
    get settings(): TSettings | null;
}
export interface IVisualComponentProps<TEntity, TSettings> {
    entity: TEntity;
    settings: TSettings | null;
}
export declare type VisualComponent<TComponentProps> = React.FunctionComponent<TComponentProps>;
export interface IComponentDefinition<TComponentProps, TSettings> {
    component: VisualComponent<TComponentProps>;
    settings?: TSettings;
}
//# sourceMappingURL=visualComponentState.d.ts.map