import { Point } from "./point";
export declare type BoundingBox = {
    topLeftCorner: Point;
    bottomRightCorner: Point;
    size: Point;
};
export interface Dictionary<TValue> {
    [key: string]: TValue;
}
export declare type Optional<T, K extends keyof T> = Pick<Partial<T>, K> & Omit<T, K>;
export declare function isNumber(value: any): value is number;
export declare function isObject(value: any): value is object;
export declare function isBoolean(value: any): value is boolean;
export declare function clampValue(value: number, interval: Point): number;
export declare function deepCopy<TValue>(value: TValue): TValue;
export declare function combineArrays<TValue>(...arrays: (TValue[] | undefined)[]): TValue[];
//# sourceMappingURL=common.d.ts.map